import { Dispatcher, EventBus } from '../../bus';
import { AnnotationEditorLayer } from '../../pdfjs';
export declare class AnnotationEditorStorage extends Dispatcher {
    readonly eventBus: EventBus;
    private annotationEditors;
    private pdfDocument?;
    private storage?;
    constructor(eventBus: EventBus);
    private init;
    load(): void;
    save(): void;
    getByPage(pageIndex: number): Map<string, Record<string, any>>;
    addEditors(layer: AnnotationEditorLayer): void;
    destroy(): void;
}
